<!DOCTYPE html>
<html> 
 <head>
  <meta charset="utf-8" />
  <title>Traitement d'une personne</title>
 </head>   
 <body>
 <!-- Début du programme PHP -->
 <?php
  // === on récupère les données passées par GET ===
  $categorie=$_GET['categorie'];
  // === on récupère les données passées par POST ===
  $nom    = $_POST['nom']   ;
  $prenom = $_POST['prenom'];
  $age    = $_POST['age']   ;
  // === on traite les données ===
  // --- conversion en majuscules ---
  $nom    = strtoupper($nom)   ;
  $prenom = strtoupper($prenom);
  // --- conversion en entier ---
  $age    = intval($age)       ;
  // ==== on affiche les données  ===
  echo 'Nom : '.$nom.'<br/>';
  echo 'Pr&eacute;nom : '.$prenom.'<br/>';
  echo 'Age : '.$age.'<br/>';
  echo 'Catégorie : '.$categorie.'<br/>';    
 ?>
 <!-- Fin du programme PHP -->
 </body>
</html>
